DEFINES += APP_VERSION='"\\\"1.8\\\""'

QT       += core gui widgets network

TARGET = "ComicCreator"
TEMPLATE = app

SOURCES += \
    main.cpp\
    mainwindow.cpp \
    pagesetupwidget.cpp \
    layoutbrowser.cpp \
    aboutdialog.cpp \
    flowlayout.cpp \
    layoutconfiguration.cpp \
    helpbrowser.cpp

HEADERS += \
    mainwindow.h \
    pagesetupwidget.h \
    layoutbrowser.h \
    aboutdialog.h \
    flowlayout.h \
    extratranslations.h \
    layoutconfiguration.h \
    helpbrowser.h

FORMS += \
    mainwindow.ui \
    pagesetupwidget.ui \
    layoutbrowser.ui \
    aboutdialog.ui \
    layoutconfiguration.ui

RESOURCES += $$PWD/../Resources/Resources.qrc
win32:RC_FILE = windows.rc

# Core
win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../Core/release/ -lCore
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../Core/debug/ -lCore
else:unix: LIBS += -L$$OUT_PWD/../Core/ -lCore
INCLUDEPATH += $$PWD/../Core
win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../Core/release/libCore.a
else:win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../Core/debug/libCore.a
else:win32:!win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../Core/release/Core.lib
else:win32:!win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../Core/debug/Core.lib
else:unix: PRE_TARGETDEPS += $$OUT_PWD/../Core/libCore.a

# QuaZip
win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../3rdparty/QuaZip/release/ -lQuaZip
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../3rdparty/QuaZip/debug/ -lQuaZip
else:unix: LIBS += -L$$OUT_PWD/../3rdparty/QuaZip/ -lQuaZip
INCLUDEPATH += $$PWD/../3rdparty/QuaZip
win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../3rdparty/QuaZip/release/libQuaZip.a
else:win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../3rdparty/QuaZip/debug/libQuaZip.a
else:win32:!win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../3rdparty/QuaZip/release/QuaZip.lib
else:win32:!win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../3rdparty/QuaZip/debug/QuaZip.lib
else:unix: PRE_TARGETDEPS += $$OUT_PWD/../3rdparty/QuaZip/libQuaZip.a


win32:QMAKE_LFLAGS += -static
QMAKE_LFLAGS += -static-libgcc -static-libstdc++
LIBS += -lz
