#ifndef HELPBROWSER_H
#define HELPBROWSER_H

#include <QTextBrowser>
#include <QSharedPointer>

class HelpBrowser : public QTextBrowser
{
public:
    HelpBrowser(QWidget* parent = Q_NULLPTR);

    void open(QString filename = QString());

private:
    struct Private;
    QSharedPointer<Private> m_private;
};

#endif // HELPBROWSER_H
