#!/bin/bash

source "/opt/dev/Android.armv7"

BUILD_ROOT=$(mktemp -d)
cd "${BUILD_ROOT}"

qmake "${SOURCE_ROOT}"
make -j$(nproc)

make INSTALL_ROOT="${BUILD_ROOT}/android-build" install
androiddeployqt --input "$(readlink -f "$(find -name \*.json)")" --output "${BUILD_ROOT}/android-build" --deployment bundled --gradle

mkdir -p "${SOURCE_ROOT}/Build/Dist/${VERSION}" 2>/dev/null
mv "android-build/build/outputs/apk/android-build-debug.apk" "${SOURCE_ROOT}/Build/Dist/${VERSION}/${PROJECT}_armv7.apk"

cd "${SOURCE_ROOT}"
rm -rf "${BUILD_ROOT}"
