#!/bin/bash

source "/opt/dev/Linux.x86_64"

BUILD_ROOT=$(mktemp -d)
cd "${BUILD_ROOT}"

qmake "${SOURCE_ROOT}"
make -j$(nproc)

strip "${PROJECT}/${PROJECT}"
upx --ultra-brute "${PROJECT}/${PROJECT}"

mkdir -p "${SOURCE_ROOT}/Build/Dist/${VERSION}" 2>/dev/null
mv "${PROJECT}/${PROJECT}" "${SOURCE_ROOT}/Build/Dist/${VERSION}/${PROJECT}.x86_64"

cd "${SOURCE_ROOT}"
rm -rf "${BUILD_ROOT}" 

