#!/bin/bash

export QT_CONFIG=base
export PROJECT="ComicCreator"
export VERSION=1.8
export SOURCE_ROOT=$(readlink -f "$(dirname "$0")/..")
export LOG_ROOT="Build/Dist/log"

cd "${SOURCE_ROOT}"

mkdir -p "${LOG_ROOT}"
echo -e "{\n    \"latest\" : ${VERSION}\n}" > "Build/Dist/version.json"

./Dist/Source/build.sh >"${LOG_ROOT}/Source" 2>>"${LOG_ROOT}/Source"
#./Dist/Android.armv7/build.sh >"${LOG_ROOT}/Android.armv7" 2>>"${LOG_ROOT}/Android.armv7"
#./Dist/Android.x86/build.sh >"${LOG_ROOT}/Android.x86" 2>>"${LOG_ROOT}/Android.x86"
./Dist/Linux.x86/build.sh >"${LOG_ROOT}/Linux.x86" 2>>"${LOG_ROOT}/Linux.x86"
./Dist/Linux.x86_64/build.sh >"${LOG_ROOT}/Linux.x86_64" 2>>"${LOG_ROOT}/Linux.x86_64"
./Dist/Windows.x86/build.sh >"${LOG_ROOT}/Windows.x86" 2>>"${LOG_ROOT}/Windows.x86"
#./Dist/Windows.x86_64/build.sh >"${LOG_ROOT}/Windows.x86_64" 2>>"${LOG_ROOT}/Windows.x86_64"
