#ifndef UTIL_H
#define UTIL_H

#include <QSize>
#include <QSizeF>

struct ComicUtils
{
    static float mmToPt(float mm);
    static QSizeF mmToPt(QSizeF mm);
    static int mmToPx(float mm, int resolution);
    static QSize mmToPx(QSizeF mm, int resolution);

    static int digits(int n);
    static QString number(int n, int highestNumber);
};

#endif // UTIL_H
