#!/bin/bash

source "/opt/dev/Windows.x86"

BUILD_ROOT=$(mktemp -d)
cd "${BUILD_ROOT}"

qmake "${SOURCE_ROOT}"
make -j$(nproc)

strip "${PROJECT}/release/${PROJECT}.exe"
upx --ultra-brute "${PROJECT}/release/${PROJECT}.exe"

mkdir -p "${SOURCE_ROOT}/Build/Dist/${VERSION}" 2>/dev/null
mv "${PROJECT}/release/${PROJECT}.exe" "${SOURCE_ROOT}/Build/Dist/${VERSION}/${PROJECT}.exe"

cd "${SOURCE_ROOT}"
rm -rf "${BUILD_ROOT}" 
